List device patches

Returns a list of missing OS and application patches detected on a specific device.

Path Params
string
required

ID of the device.

Query Params
integer

The page returned. Pages are 1-based.

integer
≤ 100
Defaults to 10

The number of rows returned per page.

string

URL-encoded JSON string containing a single filter object or an array of filter objects. Multiple filter objects are ANDed together.

Filter object structure:

  • field (string): The data field to apply the filter on.
  • op (string): The comparison operator (see below for allowed operators).
  • value: The value(s) to compare against. The type depends on the field and operator (see below for allowed operators and values).

Supported operators (op) and values (value)

Exact comparison

  • eq (equal to), ne (not equal to): Supported by all field types. Value can be string, number, boolean, or null.

Range & ordering

  • gt (greater than), gte (greater than or equal to), lt (less than), lte (less than or equal to): Supported by number fields. Value must be a number.

List membership

  • in (is in list), nin (is not in list): Supported by all field types. Value must be a JSON array of strings, numbers, booleans, or nulls.

String/text matching

  • contains, startsWith, endsWith: Supported only by string fields. Value must be a string.

Presence checks

  • isNull, notNull: Supported by all field types. No value field is required for these operators.

Examples

Note that examples must be url-encoded when sent.

  • Single filter: {"field":"score","op":"gte","value":90}
  • Multiple filters: [{"field":"device_name","op":"contains","value":"vm"},{"field":"tags","op":"in","value":["prod","qa"]}]
string

A URL-encoded comma-separated list of filter expressions. Filters are ANDed together implicitly.

Filter expression structure

field operator value (e.g., score gte 90)

  • field: The data field to apply the filter on.
  • operator: The comparison operator (supports the same operators as the _filters parameter. Read the _filters description for details).
  • value: The value to compare against. When using the in and nin operators, the value can take a comma-separated list of values.

You don't need to specify field types when using this parameter. All filter expressions are sent as strings, and the server handles the conversion to the required field type.

Examples:

Note that the examples must be URL-encoded when sent.

  • Simple: device_name contains server
  • Multi-criteria: device_name contains server,score gte 90
  • List/IN operator: tags in prod,qa
string

URL-encoded JSON string containing a sort object or an array of sort objects.

Sort object structure

  • field (string): The data field to sort on.
  • dir (string): Sort direction. Must be one of asc (ascending) or desc (descending).
  • nullsLast (boolean, optional): If true, null values appear at the end of the results.

Examples

  • Single field: {"field":"score","dir":"desc","nullsLast":true}
  • Multi-field: [{"field":"score","dir":"desc"},{"field":"device_name","dir":"asc"}]
string

Comma-separated list of sort expressions. Add multiple expressions for multi-field sorting.

Sort expression structure

<field> <direction>

  • field: The data field to sort by.
  • direction: The sort direction, either asc, or desc.

Examples

  • Simple: device_name (sorts by device_name ascending)
  • Complex: device_name desc,score asc
_search

Free-text search across all text fields. If you add multiple values, they are ANDed together. You can submit multiple values using one of two supported formats:

  • Comma-separated string. For example, ?_search=server,windows.
  • Repeated key (exploded array). An array of strings, serialized by repeating the parameter key. For example, ?_search=server&_search=windows.
string

Filter by application name or OS patch KB number.

string
enum

Filter by issue severity.

Allowed:
string
enum

Filter by remediation availability.

Allowed:
string

Filter by patch release date.

string
enum

Filter by patch type detection type. patch means that a Template detected the patch by scanning for a specific application or OS patch. vulnerability means that a Template detected the patch by scanning for one of the relevant CVEs.

Allowed:
boolean

Set to true to return OS patches and false to return application patches.

string

Filter by currently installed version.

string

Filter by application vendor name.

string | null

A search filter on the last_remediation_status field.

uuid | null

A search filter on the device_action_id field.

string

Filter by whether a remediation for the issue is available.

string | null

A search filter on the remediation_state field.

string | null

A search filter on the last_event_action field.

string | null

A search filter on the last_event_status field.

string

A search filter on the last_event_metadata field.

date-time | null

A search filter on the last_event_created_at field.

Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json